class DBSetting:
    host = 'localhost'
    user = ''
    password = ''
    db = 'chocomae'
    port = 0
    charset = 'utf8'

    def __init__(self, mode):
        if mode == 'mac':
            self.user = 'jisangs'
            self.password = 'Fr12nds95'
            self.port = 8889
        elif mode == 'test':
            self.user = 'root'
            self.password = '52napark!'
            self.port = 3306
        elif mode == 'service':
            self.user = 'root'
            self.password = '52napark!'
            self.port = 3306
